-- Script to populate the database (March 2012)
-- By Diego Mastroianni

-- Drop all tables
drop table permit;
drop table spud;
drop table compliance;
drop table production;
drop table waste;
drop table unconventional;

-- Create Tables (Structure)
CREATE TABLE permit
(WELL_COUNTY VARCHAR(50),
WELL_MUNICIPALITY VARCHAR(50),
PERMIT_ISSUED_DATE DATE,
OPERATOR_NAME VARCHAR(50),
APPLICATION_TYPE VARCHAR(50),
AUTHORIZATION_DESCRIPTION TEXT,
WELL_API VARCHAR(50),
-- WELL_API_STATE VARCHAR(10),
-- WELL_API_COUNTY VARCHAR(10),
-- WELL_API_ID VARCHAR(10),
-- WELL_API_SIDETRACK VARCHAR(10),
-- WELL_API_OPERATION VARCHAR(10),
WELL_API_COUNTY_ID VARCHAR(20),
MARCELLUS_SHALE VARCHAR(10),
HORIZONTAL_WELL VARCHAR(10),
WELL_TYPE VARCHAR(50),
FARM_NAME VARCHAR(50),
LATITUDE_NAD83 VARCHAR(50),
LONGITUDE_NAD83 VARCHAR(50),
LATITUDE_DECIMAL DOUBLE,
LONGITUDE_DECIMAL DOUBLE,
OPERATOR_OGO VARCHAR(10),
OPERATOR_ADDRESS TEXT,
OPERATOR_CITY VARCHAR(50),
OPERATOR_STATE VARCHAR(10),
OPERATOR_ZIP VARCHAR(10),
AUTHORIZATION_ID VARCHAR(10),
CLIENT_ID VARCHAR(10),
PRIMARY_FACILITY_ID VARCHAR(10),
PERMIT_ISSUED_DATE_TEXT VARCHAR(50),
DB_COMMENTS TEXT
);

CREATE TABLE spud
(SPUD_DATE DATE,
WELL_API VARCHAR(50),
-- WELL_API_STATE VARCHAR(10),
-- WELL_API_COUNTY VARCHAR(10),
-- WELL_API_ID VARCHAR(10),
-- WELL_API_SIDETRACK VARCHAR(10),
-- WELL_API_OPERATION VARCHAR(10),
WELL_API_COUNTY_ID VARCHAR(20),
OPERATOR_OGO VARCHAR(10),
OPERATOR_NAME VARCHAR(50),
WIRE_COUNTY VARCHAR(50),
WIRE_MUNICIPALITY VARCHAR(50),
FARM_WELL_NO VARCHAR(10),
FARM_NAME VARCHAR(50),
WELL_TYPE VARCHAR(50),
LATITUDE_DECIMAL DOUBLE,
LONGITUDE_DECIMAL DOUBLE,
MARCELLUS_SHALE VARCHAR(10),
HORIZONTAL_WELL VARCHAR(10),
CREATION_DATE DATETIME,
CREATED_BY VARCHAR(50),
MODIFICATION_DATE DATETIME,
MODIFIED_BY VARCHAR(50),
SPUD_DATE_TEXT VARCHAR(50),
CREATION_DATE_TEXT VARCHAR(50),
MODIFICATION_DATE_TEXT VARCHAR(50),
DB_COMMENTS TEXT
);

CREATE table compliance
(OPERATOR_NAME VARCHAR(50),
ORG_NAME VARCHAR(50),
INSP_ID VARCHAR(50),
INSPECTION_DATE DATE,
WELL_API VARCHAR(50),
-- WELL_API_STATE VARCHAR(10),
-- WELL_API_COUNTY VARCHAR(10),
-- WELL_API_ID VARCHAR(10),
-- WELL_API_SIDETRACK VARCHAR(10),
-- WELL_API_OPERATION VARCHAR(10),
WELL_API_COUNTY_ID VARCHAR(20),
MARCELLUS_SHALE VARCHAR(10),
INSP_CATEGORY VARCHAR(10),
WELL_COUNTY VARCHAR(50),
WELL_MUNICIPALITY VARCHAR(50),
INSPECTION_RESULT_DESC VARCHAR(50),
INSP_COMMENT TEXT,
VIOLATION_ID VARCHAR(50),
DATE_VIOLATION DATE,
VIOLATION_CODE TEXT,
ENVL_HEALTH_SAFETY_DESC VARCHAR(50),
VIOLATION_COMMENT TEXT,
DATE_RESOLVED DATE,
ENF_ID VARCHAR(50),
ENFORCEMENT_CODE TEXT,
PENALTY_FINAL_STATUS_DESC VARCHAR(50),
PEN_DATE_FINAL DATE,
ENF_DATE_FINAL DATE,
PENALTY_AMOUNT DOUBLE,
TOTAL_AMOUNT_COLLECTED DOUBLE,
INSPECTION_DATE_TEXT VARCHAR(50),
DATE_VIOLATION_TEXT VARCHAR(50),
DATE_RESOLVED_TEXT VARCHAR(50),
PEN_DATE_FINAL_TEXT VARCHAR(50),
ENF_DATE_FINAL_TEXT VARCHAR(50),
PENALTY_AMOUNT_TEXT VARCHAR(50),
TOTAL_AMOUNT_COLLECTED_TEXT VARCHAR(50),
DB_COMMENTS TEXT
);

CREATE table production
(WELL_API VARCHAR(50),
-- WELL_API_STATE VARCHAR(10),
-- WELL_API_COUNTY VARCHAR(10),
-- WELL_API_ID VARCHAR(10),
-- WELL_API_SIDETRACK VARCHAR(10),
-- WELL_API_OPERATION VARCHAR(10),
WELL_API_COUNTY_ID VARCHAR(20),
PERIOD_ID VARCHAR(50),
PRODUCTION_INDICATOR VARCHAR(10),
WELL_STATUS VARCHAR(50),
FARM_NAME VARCHAR(50),
WELL_ID VARCHAR(50),
GAS_QUANTITY_MCF DOUBLE,
GAS_PRODUCTION_DAYS DOUBLE,
CONDENSATE_QUANTITY_BBL VARCHAR(50),
CONDENSATE_PRODUCTION_DAYS DOUBLE,
OIL_QUANTITY_BBL VARCHAR(50),
OIL_PRODUCTION_DAYS DOUBLE,
AVERAGED VARCHAR(10),
OPERATOR_NAME VARCHAR(50),
OPERATOR_OGO TEXT,
WELL_COUNTY VARCHAR(50),
WELL_MUNICIPALITY VARCHAR(50),
LATITUDE_DECIMAL DOUBLE,
LONGITUDE_DECIMAL DOUBLE,
MARCELLUS_SHALE VARCHAR(10),
HORIZONTAL_WELL VARCHAR(10),
HOME_USE VARCHAR(10),
REPORTING_PERIOD VARCHAR(50),
COMMENT_REASON VARCHAR(50),
COMMENT_TEXT TEXT,
DB_COMMENTS TEXT
);

CREATE table waste
(WELL_API VARCHAR(50),
-- WELL_API_STATE VARCHAR(10),
-- WELL_API_COUNTY VARCHAR(10),
-- WELL_API_ID VARCHAR(10),
-- WELL_API_SIDETRACK VARCHAR(10),
-- WELL_API_OPERATION VARCHAR(10),
WELL_API_COUNTY_ID VARCHAR(20),
PERIOD_ID VARCHAR(50),
WELL_STATUS VARCHAR(50),
FARM_NAME VARCHAR(50),
WELL_ID VARCHAR(50),
WASTE_TYPE VARCHAR(50),
WASTE_QUANTITY DOUBLE,
UNITS VARCHAR(50),
DISPOSAL_METHOD VARCHAR(50),
AVERAGED VARCHAR(10),
OPERATOR_NAME VARCHAR(50),
OPERATOR_OGO TEXT,
WELL_COUNTY VARCHAR(50),
WELL_MUNICIPALITY VARCHAR(50),
LATITUDE_DECIMAL DOUBLE,
LONGITUDE_DECIMAL DOUBLE,
MARCELLUS_SHALE VARCHAR(10),
HORIZONTAL_WELL VARCHAR(10),
HOME_USE VARCHAR(10),
WASTE_FACILITY_PERMIT_ID VARCHAR(50),
WASTE_FACILITY_NAME VARCHAR(50),
FACILITY_ADDRESS_1 VARCHAR(50),
FACILITY_ADDRESS_2 VARCHAR(50),
FACILITY_CITY VARCHAR(50),
FACILITY_STATE VARCHAR(50),
FACILITY_ZIP_CODE VARCHAR(10),
FACILITY_PHONE VARCHAR(50),
FACILITY_LATITUDE VARCHAR(50),
FACILITY_LONGITUDE VARCHAR(50),
REPORTING_PERIOD VARCHAR(50),
COMMENT_REASON VARCHAR(50),
COMMENT_TEXT TEXT,
DB_COMMENTS TEXT
);

CREATE TABLE unconventional
(WELL_API VARCHAR(50),
-- WELL_API_STATE VARCHAR(10),
-- WELL_API_COUNTY VARCHAR(10),
-- WELL_API_ID VARCHAR(10),
-- WELL_API_SIDETRACK VARCHAR(10),
-- WELL_API_OPERATION VARCHAR(10),
WELL_API_COUNTY_ID VARCHAR(20),
WELL_PERMIT_NUMBER VARCHAR(50),
WELL_COUNTY VARCHAR(50),
WELL_MUNICIPALITY VARCHAR(50),
OPERATOR_NAME VARCHAR(50),
FARM_NAME VARCHAR(50),
LATITUDE_DECIMAL DOUBLE,
LONGITUDE_DECIMAL DOUBLE,
MARCELLUS_SHALE VARCHAR(50),
FORMATION VARCHAR(50),
HORIZONTAL_WELL VARCHAR(10),
WELL_STATUS VARCHAR(10),
DB_COMMENTS TEXT
);

-- Truncate tables
TRUNCATE table permit;
TRUNCATE table spud;
TRUNCATE table compliance;
TRUNCATE table production;
TRUNCATE table waste;
TRUNCATE table unconventional;

-- Load data to Permit
 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/PADEP 2001-2011 Permits Issued Report as of 20120207.csv' INTO TABLE permit 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 7 LINES
  (WELL_COUNTY, WELL_MUNICIPALITY, PERMIT_ISSUED_DATE_TEXT, OPERATOR_NAME, APPLICATION_TYPE, AUTHORIZATION_DESCRIPTION,
WELL_API, MARCELLUS_SHALE, HORIZONTAL_WELL, WELL_TYPE, FARM_NAME, LATITUDE_NAD83, LONGITUDE_NAD83, LATITUDE_DECIMAL,
LONGITUDE_DECIMAL, OPERATOR_OGO, OPERATOR_ADDRESS, OPERATOR_CITY, OPERATOR_STATE, OPERATOR_ZIP, AUTHORIZATION_ID,
CLIENT_ID, PRIMARY_FACILITY_ID);

UPDATE permit, county set WELL_API = concat(FIPS_COUNTY,'-',WELL_API) 
where length(permit.WELL_API) = 12
and permit.WELL_COUNTY = county.COUNTY;

UPDATE permit set WELL_API = concat('37-',WELL_API) where WELL_API is not null;
UPDATE permit set WELL_API = left(WELL_API,18) where length(WELL_API) = 21;
UPDATE permit set WELL_API_COUNTY_ID = substr(WELL_API,4,length(WELL_API)-9);
UPDATE permit set DB_COMMENTS = concat(DB_COMMENTS,' | ', 'WELL_API is null') where WELL_API is null;
-- UPDATE permit set WELL_API_STATE = substr(WELL_API,1,2);
-- UPDATE permit set WELL_API_COUNTY = substr(WELL_API,4,3);
-- UPDATE permit set WELL_API_ID = substr(WELL_API,8,5);
-- UPDATE permit set WELL_API_SIDETRACK = substr(WELL_API,14,2);
-- UPDATE permit set WELL_API_OPERATION = substr(WELL_API,17,2);
UPDATE permit set OPERATOR_OGO = substr(OPERATOR_OGO,5,5);
UPDATE permit set PERMIT_ISSUED_DATE = STR_TO_DATE(PERMIT_ISSUED_DATE_TEXT, '%m/%d/%Y');
UPDATE permit set MARCELLUS_SHALE = substr(MARCELLUS_SHALE,1,1);
UPDATE permit set HORIZONTAL_WELL = substr(HORIZONTAL_WELL,1,1);
UPDATE permit set OPERATOR_ZIP = substr(OPERATOR_ZIP,1,5);

-- Load data to Spud
LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/PADEP 2005-2011 Spud Report as of 20120207.csv' INTO TABLE spud 
FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (SPUD_DATE_TEXT, WELL_API, OPERATOR_OGO, OPERATOR_NAME, WIRE_COUNTY, WIRE_MUNICIPALITY, FARM_WELL_NO,
FARM_NAME, WELL_TYPE, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
CREATION_DATE_TEXT, CREATED_BY, MODIFICATION_DATE_TEXT, MODIFIED_BY);

-- UPDATE spud set WELL_API_STATE = substr(WELL_API,1,2);
-- UPDATE spud set WELL_API_COUNTY = substr(WELL_API,4,3);
-- UPDATE spud set WELL_API_ID = substr(WELL_API,8,5);
-- UPDATE spud set WELL_API_SIDETRACK = substr(WELL_API,14,2);
-- UPDATE spud set WELL_API_OPERATION = substr(WELL_API,17,2);
UPDATE spud set WELL_API_COUNTY_ID = substr(WELL_API,4,9);
UPDATE spud set DB_COMMENTS = concat(DB_COMMENTS,' | ', 'WELL_API is null') where WELL_API is null;
UPDATE spud set SPUD_DATE = STR_TO_DATE(SPUD_DATE_TEXT, '%m/%d/%Y');
UPDATE spud set CREATION_DATE = STR_TO_DATE(CREATION_DATE_TEXT, '%m/%d/%Y');
UPDATE spud set MODIFICATION_DATE = STR_TO_DATE(MODIFICATION_DATE_TEXT, '%m/%d/%Y');
UPDATE spud set MARCELLUS_SHALE = substr(MARCELLUS_SHALE,1,1);
UPDATE spud set HORIZONTAL_WELL = substr(HORIZONTAL_WELL,1,1);

-- Load data to Compliance
LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/PADEP 2005-2011 Compliance Report as of 20120207.csv' INTO TABLE compliance
FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 4 LINES
(OPERATOR_NAME, ORG_NAME, INSP_ID, INSPECTION_DATE_TEXT, WELL_API, MARCELLUS_SHALE, INSP_CATEGORY, WELL_COUNTY,
WELL_MUNICIPALITY, INSPECTION_RESULT_DESC, INSP_COMMENT, VIOLATION_ID, DATE_VIOLATION_TEXT, VIOLATION_CODE,
ENVL_HEALTH_SAFETY_DESC, VIOLATION_COMMENT, DATE_RESOLVED_TEXT, ENF_ID, ENFORCEMENT_CODE, PENALTY_FINAL_STATUS_DESC,
PEN_DATE_FINAL_TEXT, ENF_DATE_FINAL_TEXT, PENALTY_AMOUNT_TEXT, TOTAL_AMOUNT_COLLECTED_TEXT);

UPDATE compliance, county set WELL_API = concat(FIPS_COUNTY,'-',WELL_API) 
where length(compliance.WELL_API) = 6
and compliance.WELL_COUNTY = county.COUNTY;

UPDATE compliance set WELL_API = concat('37-',WELL_API,'-00-00') where WELL_API is not null;
UPDATE compliance set WELL_API_COUNTY_ID = substr(WELL_API,4,length(WELL_API)-9);

UPDATE compliance set DB_COMMENTS = concat(DB_COMMENTS,' | ', 'WELL_API is null') where WELL_API is null;
-- UPDATE compliance set WELL_API_STATE = substr(WELL_API,1,2);
-- UPDATE compliance set WELL_API_COUNTY = substr(WELL_API,4,3);
-- UPDATE compliance set WELL_API_ID = substr(WELL_API,8,5);
-- UPDATE compliance set WELL_API_SIDETRACK = substr(WELL_API,14,2);
-- UPDATE compliance set WELL_API_OPERATION = substr(WELL_API,17,2);
UPDATE compliance set INSPECTION_DATE = STR_TO_DATE(INSPECTION_DATE_TEXT, '%m/%d/%Y');
UPDATE compliance set DATE_RESOLVED = STR_TO_DATE(DATE_RESOLVED_TEXT, '%m/%d/%Y');
UPDATE compliance set DATE_VIOLATION = STR_TO_DATE(DATE_VIOLATION_TEXT, '%m/%d/%Y');
UPDATE compliance set PEN_DATE_FINAL = STR_TO_DATE(PEN_DATE_FINAL_TEXT, '%m/%d/%Y');
UPDATE compliance set ENF_DATE_FINAL = STR_TO_DATE(ENF_DATE_FINAL_TEXT, '%m/%d/%Y');
UPDATE compliance set penalty_amount_text = replace(penalty_amount_text,",","");
UPDATE compliance set penalty_amount = cast(substr(penalty_amount_text,2) as decimal) where penalty_amount_text != "";

-- Load data to Production
LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2011H2 Production Report downloaded 20120224 Marcellus Only.csv' INTO TABLE production 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2011H1 Production Report downloaded 20111231 Marcellus Only.csv' INTO TABLE production 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2011 Production Report downloaded 20120224 without Marcellus.csv' INTO TABLE production 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2010H2 Production Report downloaded 20111231 Marcellus Only.csv' INTO TABLE production 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2010 Production Report downloaded 20111231 without Marcellus.csv' INTO TABLE production 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2009H2-2010H1 Production Report downloaded 20111231 Marcellus Only.csv' INTO TABLE production 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2009 Production Report downloaded 20111231.csv' INTO TABLE production 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2008 Production Report downloaded 20111231.csv' INTO TABLE production 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2007 Production Report downloaded 20111231.csv' INTO TABLE production 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2006 Production Report downloaded 20111231.csv' INTO TABLE production 
FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2005 Production Report downloaded 20111231.csv' INTO TABLE production 
FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2004 Production Report downloaded 20111231.csv' INTO TABLE production 
FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2003 Production Report downloaded 20111231.csv' INTO TABLE production 
FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2002 Production Report downloaded 20111231.csv' INTO TABLE production 
FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
    (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2001 Production Report downloaded 20111231.csv' INTO TABLE production 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Production Reports/PADEP 2000 Production Report downloaded 20111231.csv' INTO TABLE production 
FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, PRODUCTION_INDICATOR, WELL_STATUS, FARM_NAME, WELL_ID, GAS_QUANTITY_MCF, GAS_PRODUCTION_DAYS,
CONDENSATE_QUANTITY_BBL, CONDENSATE_PRODUCTION_DAYS, OIL_QUANTITY_BBL, OIL_PRODUCTION_DAYS, AVERAGED, OPERATOR_NAME,
OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, HORIZONTAL_WELL,
HOME_USE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);


UPDATE production set DB_COMMENTS = concat(DB_COMMENTS,' | ', 'WELL_API is null') where WELL_API is null;
UPDATE production set DB_COMMENTS = concat(DB_COMMENTS,' | ', 'WELL_API has a different format') where length(WELL_API) <> 9;
UPDATE production set WELL_API = concat('37-',WELL_API,'-00-00') where length(WELL_API) = 9;
UPDATE production set WELL_API_COUNTY_ID = substr(WELL_API,4,9);
UPDATE production set OPERATOR_OGO = substr(OPERATOR_OGO,5,5);

-- UPDATE production set WELL_API_STATE = substr(WELL_API,1,2);
-- UPDATE production set WELL_API_COUNTY = substr(WELL_API,4,3);
-- UPDATE production set WELL_API_ID = substr(WELL_API,8,5);
-- UPDATE production set WELL_API_SIDETRACK = substr(WELL_API,14,2);
-- UPDATE production set WELL_API_OPERATION = substr(WELL_API,17,2);



-- Load data to Waste
 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2000 Waste Report downloaded 20111231.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2001 Waste Report downloaded 20111231.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2002 Waste Report downloaded 20111231.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2003 Waste Report downloaded 20111231.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2004 Waste Report downloaded 20111231.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2005 Waste Report downloaded 20111231.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2006 Waste Report downloaded 20111231.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2007 Waste Report downloaded 20111231.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2008 Waste Report downloaded 20111231.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2009 Waste Report downloaded 20111231.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2009H2-2010H2 Waste Report downloaded 20111231 Marcellus Only.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2010 Waste Report downloaded 20111231 without Marcellus.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2010H2 Waste Report downloaded 20111231 Marcellus Only.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2011 Waste Report downloaded 20120224 without Marcellus.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2011H1 Waste Report downloaded 20111231 Marcellus Only.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/Waste Reports/PADEP 2011H2 Waste Report downloaded 20120224 Marcellus Only.csv' INTO TABLE waste 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, PERIOD_ID, WELL_STATUS, FARM_NAME, WELL_ID, WASTE_TYPE, WASTE_QUANTITY, UNITS, DISPOSAL_METHOD,
AVERAGED, OPERATOR_NAME, OPERATOR_OGO, WELL_COUNTY, WELL_MUNICIPALITY, LATITUDE_DECIMAL, LONGITUDE_DECIMAL,
MARCELLUS_SHALE, HORIZONTAL_WELL, HOME_USE, WASTE_FACILITY_PERMIT_ID, WASTE_FACILITY_NAME,
FACILITY_ADDRESS_1, FACILITY_ADDRESS_2, FACILITY_CITY, FACILITY_STATE, FACILITY_ZIP_CODE,
FACILITY_PHONE, FACILITY_LATITUDE, FACILITY_LONGITUDE, REPORTING_PERIOD, COMMENT_REASON, COMMENT_TEXT);

UPDATE waste set DB_COMMENTS = concat(DB_COMMENTS,' | ', 'WELL_API is null') where WELL_API is null;
UPDATE waste set DB_COMMENTS = concat(DB_COMMENTS,' | ', 'WELL_API has a different format') where length(WELL_API) <> 9;
UPDATE waste, county set WELL_API = concat(FIPS_COUNTY,'-',WELL_API) 
where (length(waste.WELL_API) = 5 or length(waste.WELL_API) = 6 or length(waste.WELL_API) = 7)
and waste.WELL_COUNTY = county.COUNTY
and waste.WELL_COUNTY is not null;
UPDATE waste set WELL_API = concat('37-',WELL_API,'-00-00') where WELL_API is not null;
UPDATE waste set WELL_API = left(WELL_API,18) where length(WELL_API) = 21;
UPDATE waste set WELL_API_COUNTY_ID = substr(WELL_API,4,length(WELL_API)-9);
UPDATE waste set OPERATOR_OGO = substr(OPERATOR_OGO,5,5);

-- UPDATE waste set WELL_API_STATE = substr(WELL_API,1,2);
-- UPDATE waste set WELL_API_COUNTY = substr(WELL_API,4,3);
-- UPDATE waste set WELL_API_ID = substr(WELL_API,8,5);
-- UPDATE waste set WELL_API_SIDETRACK = substr(WELL_API,14,2);
-- UPDATE waste set WELL_API_OPERATION = substr(WELL_API,17,2);

 LOAD DATA LOCAL INFILE 'C:/Act13/IMPORT/PADEP Act 13 Unconventional Wells Spud Report through 20111231 as of 20120301.csv' INTO TABLE unconventional 
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (WELL_API, WELL_PERMIT_NUMBER, WELL_COUNTY, WELL_MUNICIPALITY, OPERATOR_NAME, 
FARM_NAME, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, FORMATION, HORIZONTAL_WELL, WELL_STATUS);

UPDATE unconventional set DB_COMMENTS = concat(DB_COMMENTS,' | ', 'WELL_API is null') where WELL_API is null;
UPDATE unconventional, county set WELL_API = concat(FIPS_COUNTY,'-',WELL_API) 
where length(unconventional.WELL_API) = 12
and unconventional.WELL_COUNTY = county.COUNTY;
UPDATE unconventional set WELL_API = concat('37-',WELL_API) where WELL_API is not null;
UPDATE unconventional set MARCELLUS_SHALE = 'O' where FORMATION <> 'Marcellus';
UPDATE unconventional set MARCELLUS_SHALE = 'Y' where FORMATION = 'Marcellus';
UPDATE unconventional set WELL_API_COUNTY_ID = substr(WELL_API,4,length(WELL_API)-9);
UPDATE unconventional set HORIZONTAL_WELL = substr(HORIZONTAL_WELL,1,1);

-- UPDATE waste set WELL_API_STATE = substr(WELL_API,1,2);
-- UPDATE waste set WELL_API_COUNTY = substr(WELL_API,4,3);
-- UPDATE waste set WELL_API_ID = substr(WELL_API,8,5);
-- UPDATE waste set WELL_API_SIDETRACK = substr(WELL_API,14,2);
-- UPDATE waste set WELL_API_OPERATION = substr(WELL_API,17,2);

