-- 	Check that records referring to the same well number in the 6 different tables are consistent 
-- in terms of geographical location and other fields which occur in more than one table.

DROP TABLE well;

CREATE TABLE well
(
-- WELL_API VARCHAR(50),
-- WELL_API_STATE VARCHAR(10),
-- WELL_API_COUNTY VARCHAR(10),
-- WELL_API_ID VARCHAR(10),
-- WELL_API_SIDETRACK VARCHAR(10),
-- WELL_API_OPERATION VARCHAR(10),
WELL_API_COUNTY_ID VARCHAR(10),
LATITUDE_DECIMAL DOUBLE,
LONGITUDE_DECIMAL DOUBLE,
MARCELLUS_SHALE VARCHAR(10),
HORIZONTAL_WELL VARCHAR(10),
OPERATOR_OGO VARCHAR(10),
OPERATOR_NAME VARCHAR(50),
FIRST_PERMIT_ISSUED_DATE DATE,
LAST_PERMIT_ISSUED_DATE DATE,
SPUD_DATE DATE,
LATITUDE_PERMIT DOUBLE,
LATITUDE_PRODUCTION DOUBLE,
LATITUDE_SPUD DOUBLE,
LATITUDE_WASTE DOUBLE,
LATITUDE_UNCONVENTIONAL DOUBLE,
LONGITUDE_PERMIT DOUBLE,
LONGITUDE_PRODUCTION DOUBLE,
LONGITUDE_SPUD DOUBLE,
LONGITUDE_WASTE DOUBLE,
LONGITUDE_UNCONVENTIONAL DOUBLE,
MARCELLUS_PERMIT VARCHAR(10),
MARCELLUS_PRODUCTION VARCHAR(10),
MARCELLUS_COMPLIANCE VARCHAR(10),
MARCELLUS_SPUD VARCHAR(10),
MARCELLUS_WASTE VARCHAR(10),
MARCELLUS_UNCONVENTIONAL VARCHAR(10),
HORIZONTAL_PERMIT VARCHAR(10),
HORIZONTAL_PRODUCTION VARCHAR(10),
HORIZONTAL_SPUD VARCHAR(10),
HORIZONTAL_WASTE VARCHAR(10),
HORIZONTAL_UNCONVENTIONAL VARCHAR(10),
WELL_COUNTY VARCHAR(50),
WELL_MUNICIPALITY VARCHAR(50),
WELL_DRILLED VARCHAR(10),
PRIMARY KEY (WELL_API_COUNTY_ID)
);

INSERT IGNORE INTO well (WELL_API_COUNTY_ID) SELECT WELL_API_COUNTY_ID FROM compliance where WELL_API_COUNTY_ID is not null;
INSERT IGNORE INTO well (WELL_API_COUNTY_ID) SELECT WELL_API_COUNTY_ID FROM permit where WELL_API_COUNTY_ID is not null;
INSERT IGNORE INTO well (WELL_API_COUNTY_ID) SELECT WELL_API_COUNTY_ID FROM production where WELL_API_COUNTY_ID is not null;
INSERT IGNORE INTO well (WELL_API_COUNTY_ID) SELECT WELL_API_COUNTY_ID FROM spud where WELL_API_COUNTY_ID is not null;
INSERT IGNORE INTO well (WELL_API_COUNTY_ID) SELECT WELL_API_COUNTY_ID FROM waste where WELL_API_COUNTY_ID is not null;
INSERT IGNORE INTO well (WELL_API_COUNTY_ID) SELECT WELL_API_COUNTY_ID FROM unconventional where WELL_API_COUNTY_ID is not null;
DELETE from well where WELL_API_COUNTY_ID is null;

-- UPDATE well set WELL_API_STATE = substr(WELL_API,1,2);
-- UPDATE well set WELL_API_COUNTY = substr(WELL_API,4,3);
-- UPDATE well set WELL_API_ID = substr(WELL_API,8,5);
-- UPDATE well set WELL_API_SIDETRACK = substr(WELL_API,14,2);
-- UPDATE well set WELL_API_OPERATION = substr(WELL_API,17,2);


/*
select count(distinct WELL_API_COUNTY_ID) from compliance
union
select count(*) from compliance;
*/

UPDATE well, permit set well.LATITUDE_PERMIT = permit.LATITUDE_DECIMAL 
WHERE permit.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, spud set well.LATITUDE_SPUD = spud.LATITUDE_DECIMAL 
WHERE spud.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, production set well.LATITUDE_PRODUCTION = production.LATITUDE_DECIMAL 
WHERE production.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, waste set well.LATITUDE_WASTE = waste.LATITUDE_DECIMAL 
WHERE waste.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, unconventional set well.LATITUDE_UNCONVENTIONAL = unconventional.LATITUDE_DECIMAL
WHERE unconventional.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, waste set well.LONGITUDE_WASTE = waste.LONGITUDE_DECIMAL 
WHERE waste.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, permit set well.LONGITUDE_PERMIT = permit.LONGITUDE_DECIMAL 
WHERE permit.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, spud set well.LONGITUDE_SPUD = spud.LONGITUDE_DECIMAL 
WHERE spud.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, production set well.LONGITUDE_PRODUCTION = production.LONGITUDE_DECIMAL 
WHERE production.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, unconventional set well.LONGITUDE_UNCONVENTIONAL = unconventional.LONGITUDE_DECIMAL
WHERE unconventional.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, permit set well.MARCELLUS_PERMIT = permit.MARCELLUS_SHALE 
WHERE permit.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, production set well.MARCELLUS_PRODUCTION = production.MARCELLUS_SHALE 
WHERE production.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, compliance set well.MARCELLUS_COMPLIANCE = compliance.MARCELLUS_SHALE 
WHERE compliance.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, spud set well.MARCELLUS_SPUD = spud.MARCELLUS_SHALE 
WHERE spud.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, waste set well.MARCELLUS_WASTE = waste.MARCELLUS_SHALE 
WHERE waste.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, unconventional set well.MARCELLUS_UNCONVENTIONAL = unconventional.MARCELLUS_SHALE
WHERE unconventional.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, permit set well.HORIZONTAL_PERMIT = permit.HORIZONTAL_WELL 
WHERE permit.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, production set well.HORIZONTAL_PRODUCTION = production.HORIZONTAL_WELL 
WHERE production.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, spud set well.HORIZONTAL_SPUD = spud.HORIZONTAL_WELL 
WHERE spud.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, waste set well.HORIZONTAL_WASTE = waste.HORIZONTAL_WELL 
WHERE waste.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

UPDATE well, unconventional set well.HORIZONTAL_UNCONVENTIONAL = unconventional.HORIZONTAL_WELL
WHERE unconventional.WELL_API_COUNTY_ID = well.WELL_API_COUNTY_ID;

-- location from permits, if not available, most recent data from production, if not available, from spud

UPDATE well set LATITUDE_DECIMAL = null;
UPDATE well set LONGITUDE_DECIMAL = null;
UPDATE well set LATITUDE_DECIMAL = LATITUDE_PERMIT where LATITUDE_PERMIT is not null;
UPDATE well set LONGITUDE_DECIMAL = LONGITUDE_PERMIT where LONGITUDE_PERMIT is not null;

UPDATE well set LATITUDE_DECIMAL = LATITUDE_PRODUCTION
where LATITUDE_PRODUCTION is not null
and (LATITUDE_DECIMAL is null
or LATITUDE_DECIMAL = 0);

UPDATE well set LONGITUDE_DECIMAL = LONGITUDE_PRODUCTION
where LONGITUDE_PRODUCTION is not null
and (LONGITUDE_DECIMAL is null
or LONGITUDE_DECIMAL = 0);

UPDATE well set LATITUDE_DECIMAL = LATITUDE_SPUD
where LATITUDE_SPUD is not null
and (LATITUDE_DECIMAL is null
or LATITUDE_DECIMAL = 0);

UPDATE well set LONGITUDE_DECIMAL = LONGITUDE_SPUD
where LATITUDE_SPUD is not null
and (LONGITUDE_DECIMAL is null
or LONGITUDE_DECIMAL = 0);

-- marcellus: from unconventional, then from other tables
UPDATE well set MARCELLUS_SHALE = 'Y'
where MARCELLUS_UNCONVENTIONAL = 'Y'
or MARCELLUS_PERMIT = 'Y'
or MARCELLUS_SPUD = 'Y'
or MARCELLUS_WASTE = 'Y'
or MARCELLUS_COMPLIANCE = 'Y'
or MARCELLUS_PRODUCTION = 'Y';

UPDATE well set MARCELLUS_SHALE = 'O' where MARCELLUS_UNCONVENTIONAL = 'O';

UPDATE well set MARCELLUS_SHALE = 'N' where MARCELLUS_SHALE is null;

-- horizontal: if 'Y' in any table
UPDATE well set HORIZONTAL_WELL = 'Y'
where HORIZONTAL_PERMIT = 'Y'
or HORIZONTAL_PRODUCTION = 'Y'
or HORIZONTAL_SPUD = 'Y'
or HORIZONTAL_WASTE = 'Y'
or HORIZONTAL_UNCONVENTIONAL = 'Y';

UPDATE well set HORIZONTAL_WELL = 'N' where HORIZONTAL_WELL is null;

-- OPERATOR_NAME and OGO come from permit, otherwise from production
-- then spud (added May 5th 2012)
-- then compliance - just for operator_name

UPDATE well, permit set well.OPERATOR_OGO = permit.OPERATOR_OGO
WHERE well.WELL_API_COUNTY_ID = permit.WELL_API_COUNTY_ID;

UPDATE well, permit set well.OPERATOR_NAME = permit.OPERATOR_NAME
WHERE well.WELL_API_COUNTY_ID = permit.WELL_API_COUNTY_ID;

UPDATE well, production set well.OPERATOR_OGO = production.OPERATOR_OGO
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and well.OPERATOR_OGO is null;

UPDATE well, production set well.OPERATOR_NAME = production.OPERATOR_NAME
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and well.OPERATOR_NAME is null;

UPDATE well, spud set well.OPERATOR_OGO = spud.OPERATOR_OGO
WHERE well.WELL_API_COUNTY_ID = spud.WELL_API_COUNTY_ID
and well.OPERATOR_OGO is null;

UPDATE well, spud set well.OPERATOR_NAME = spud.OPERATOR_NAME
WHERE well.WELL_API_COUNTY_ID = spud.WELL_API_COUNTY_ID
and well.OPERATOR_NAME is null;

UPDATE well, compliance set well.OPERATOR_NAME = compliance.OPERATOR_NAME
WHERE well.WELL_API_COUNTY_ID = compliance.WELL_API_COUNTY_ID
and well.OPERATOR_NAME is null;

UPDATE well, (select WELL_API_COUNTY_ID, min(PERMIT_ISSUED_DATE) as MIN_PID from permit
group by WELL_API_COUNTY_ID) a set well.FIRST_PERMIT_ISSUED_DATE = a.MIN_PID
WHERE well.WELL_API_COUNTY_ID = a.WELL_API_COUNTY_ID;

UPDATE well, (select WELL_API_COUNTY_ID, max(PERMIT_ISSUED_DATE) as MAX_PID from permit
group by WELL_API_COUNTY_ID) a set well.LAST_PERMIT_ISSUED_DATE = a.MAX_PID
WHERE well.WELL_API_COUNTY_ID = a.WELL_API_COUNTY_ID;

UPDATE well, spud set well.SPUD_DATE = spud.SPUD_DATE
WHERE well.WELL_API_COUNTY_ID = spud.WELL_API_COUNTY_ID;

-- WELL_COUNTY and WELL_MUNICIPALITY come from permits, if not available, most recent data from production then compliance


UPDATE well, permit set well.WELL_COUNTY = permit.WELL_COUNTY
WHERE well.WELL_API_COUNTY_ID = permit.WELL_API_COUNTY_ID;

UPDATE well, production set well.WELL_COUNTY = production.WELL_COUNTY
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and well.WELL_COUNTY is null;

UPDATE well, compliance set well.WELL_COUNTY = compliance.WELL_COUNTY
WHERE well.WELL_API_COUNTY_ID = compliance.WELL_API_COUNTY_ID
and well.WELL_COUNTY is null;

UPDATE well, spud set well.WELL_COUNTY = spud.WIRE_COUNTY
WHERE well.WELL_API_COUNTY_ID = spud.WELL_API_COUNTY_ID
and well.WELL_COUNTY is null;

UPDATE well, permit set well.WELL_MUNICIPALITY = permit.WELL_MUNICIPALITY
WHERE well.WELL_API_COUNTY_ID = permit.WELL_API_COUNTY_ID;

UPDATE well, production set well.WELL_MUNICIPALITY = production.WELL_MUNICIPALITY
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and well.WELL_MUNICIPALITY is null;

UPDATE well, compliance set well.WELL_MUNICIPALITY = compliance.WELL_MUNICIPALITY
WHERE well.WELL_API_COUNTY_ID = compliance.WELL_API_COUNTY_ID
and well.WELL_MUNICIPALITY is null;

UPDATE well, spud set well.WELL_MUNICIPALITY = spud.WIRE_MUNICIPALITY
WHERE well.WELL_API_COUNTY_ID = spud.WELL_API_COUNTY_ID
and well.WELL_MUNICIPALITY is null;

-- WELL_DRILLED is a field based on the following heuristics:
/*
>'01' > matching API on DEP Act 13 table
>'02' > matching API on DEP spuds table
>'03' > matching API on DEP production table with production flag = Y
>'04' > matching API on DEP production table with production flag = N and comment 'Currently being drilled'
>'05' > matching API on DEP production table with production flag = N and comment 'Drilling finished, well not yet completed'
>'06' > matching API on DEP production table with production flag = N and comment 'Transferred this well'
>'07' > matching API on DEP production table with production flag = N and comment 'Plugged well'
>'08' > matching API on DEP production table with production flag = N and comment 'Regulatory Inactive Well'
>'09' > matching API on DEP production table with production flag = N and comment 'Well Shut-In'
>'10' > matching API on DEP production table with production flag = N and comment 'Sold this well'
>'11' > matching API on DEP production table with production flag = N and comment 'Abandoned well'
>'12' > matching API on DEP production table with production flag = N and comment 'Drilling commenced, well not yet completed'
>'13' > matching API on DEP wastes table
>'14' > matching API on DEP inspections table
*/

UPDATE well set well.WELL_DRILLED = 'N';

UPDATE well set well.WELL_DRILLED = '01' 
WHERE well.MARCELLUS_UNCONVENTIONAL is not null
and well.WELL_DRILLED = 'N';

UPDATE well set well.WELL_DRILLED = '02'
WHERE well.MARCELLUS_SPUD is not null
and well.WELL_DRILLED = 'N';

UPDATE well, production set well.WELL_DRILLED = '03'
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and production.PRODUCTION_INDICATOR = 'Y'
and well.WELL_DRILLED = 'N';

UPDATE well, production set well.WELL_DRILLED = '04'
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and production.PRODUCTION_INDICATOR = 'N'
and production.COMMENT_REASON = 'Currently being drilled'
and well.WELL_DRILLED = 'N';

UPDATE well, production set well.WELL_DRILLED = '05'
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and production.PRODUCTION_INDICATOR = 'N'
and production.COMMENT_REASON = 'Drilling finished, well not yet completed'
and well.WELL_DRILLED = 'N';

UPDATE well, production set well.WELL_DRILLED = '06'
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and production.PRODUCTION_INDICATOR = 'N'
and production.COMMENT_REASON = 'Transferred this well'
and well.WELL_DRILLED = 'N';

UPDATE well, production set well.WELL_DRILLED = '07'
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and production.PRODUCTION_INDICATOR = 'N'
and production.COMMENT_REASON = 'Plugged well'
and well.WELL_DRILLED = 'N';

UPDATE well, production set well.WELL_DRILLED = '08'
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and production.PRODUCTION_INDICATOR = 'N'
and production.COMMENT_REASON = 'Regulatory Inactive Well'
and well.WELL_DRILLED = 'N';

UPDATE well, production set well.WELL_DRILLED = '09'
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and production.PRODUCTION_INDICATOR = 'N'
and production.COMMENT_REASON = 'Well Shut-In'
and well.WELL_DRILLED = 'N';

UPDATE well, production set well.WELL_DRILLED = '10'
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and production.PRODUCTION_INDICATOR = 'N'
and production.COMMENT_REASON = 'Sold this well'
and well.WELL_DRILLED = 'N';

UPDATE well, production set well.WELL_DRILLED = '11'
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and production.PRODUCTION_INDICATOR = 'N'
and production.COMMENT_REASON = 'Abandoned well'
and well.WELL_DRILLED = 'N';

UPDATE well, production set well.WELL_DRILLED = '12'
WHERE well.WELL_API_COUNTY_ID = production.WELL_API_COUNTY_ID
and production.PRODUCTION_INDICATOR = 'N'
and production.COMMENT_REASON = 'Drilling commenced, well not yet completed'
and well.WELL_DRILLED = 'N';

UPDATE well set well.WELL_DRILLED = '13'
WHERE well.MARCELLUS_WASTE is not null
and well.WELL_DRILLED = 'N';

UPDATE well, well_manual_check set well.WELL_DRILLED = '14'
WHERE well.MARCELLUS_COMPLIANCE is not null
and well.WELL_DRILLED = 'N'
and well.WELL_API_COUNTY_ID = well_manual_check.WELL_API_COUNTY_ID;

