-- drilled_wells.csv
select WELL_API_COUNTY_ID, LATITUDE_DECIMAL, LONGITUDE_DECIMAL, MARCELLUS_SHALE, WELL_DRILLED,
HORIZONTAL_WELL, OPERATOR_OGO, OPERATOR_NAME, WELL_COUNTY, WELL_MUNICIPALITY, FIRST_PERMIT_ISSUED_DATE,
LAST_PERMIT_ISSUED_DATE, SPUD_DATE from well
where WELL_DRILLED != 'N'
and (MARCELLUS_SHALE != 'N' or HORIZONTAL_WELL = 'Y')
LIMIT 0,10000;

-- table2.csv
select 'SPUD_DATE Available' as tag, formation, year(SPUD_DATE) as y_spud, count(*) from well, unconventional
where well.WELL_API_COUNTY_ID = unconventional.WELL_API_COUNTY_ID
and WELL_DRILLED = '01'
and SPUD_DATE is not null
group by formation, y_spud
union
select 'imputed SPUD_DATE' as tag, formation, year(INTERVAL 67 DAY + LAST_PERMIT_ISSUED_DATE) as y_spud, count(*) from well, unconventional
where well.WELL_API_COUNTY_ID = unconventional.WELL_API_COUNTY_ID
and WELL_DRILLED = '01'
and SPUD_DATE is null
group by formation, y_spud;

-- drilled_wells from compliance.csv (list of 84 wells appearing in the compliance table that were confirmed by the PADEP as being spud)
select * from compliance inner join well on well.WELL_API_COUNTY_ID = compliance.WELL_API_COUNTY_ID
where well.WELL_DRILLED = '14'
and (MARCELLUS_SHALE != 'N' or HORIZONTAL_WELL = 'Y')
LIMIT 0,10000;